Imports GrapeCity.ActiveReports 
Imports GrapeCity.ActiveReports.Document 

Public Class rptKundeUebersicht

    Dim Firma_ID = "1"
    Dim Firma = "1"
    Dim KdNr As Integer

    Sub New(KdNr, Optional Firma_ID = "1", Optional Firma = "VERAG")

        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()

        Me.KdNr = KdNr
        Me.Firma_ID = Firma_ID
        Me.Firma = Firma
        ' Fügen Sie Initialisierungen nach dem InitializeComponent()-Aufruf hinzu.

    End Sub

    Private Sub rptKundeUebersicht_ReportStart(sender As Object, e As EventArgs) Handles Me.ReportStart
        Dim KD As New VERAG_PROG_ALLGEMEIN.cKunde(KdNr)
        Dim AD As New VERAG_PROG_ALLGEMEIN.cAdressen(KdNr)

        txtKdNr.Text = AD.AdressenNr

        txtKunde.Text = AD.Name_1 & vbNewLine & AD.Name_2
        txtKunde.Text &= vbNewLine & AD.Straße
        txtKunde.Text &= vbNewLine & AD.LandKz & " " & AD.PLZ & " " & AD.Ort
        If IsDate(KD.Eingegeben_am) Then txtKundeSeit.Text = CDate(KD.Eingegeben_am).ToShortDateString
        txtZahlungsziel.Text = KD.Zahlungsziel & " Tage"
        txtBesonderheiten.Text = KD.Besonderheiten
        lblDat.Text = Now.ToString("dddd, dd.MM.yyyy")


        Select Case Firma
            Case "IMEX" : Me.picVERAG.Image = My.Resources.IMEX_LOGO_simple : Me.Label28.Text = "IMEX Customs Service GmbH"
            Case "ATILLA" : Me.picVERAG.Image = My.Resources.Atilla : Me.Label28.Text = "ATILLA Spedition"
            Case "UNISPED" : Me.picVERAG.Image = My.Resources.Unisped_logo : Me.Label28.Text = "UNISPED Speditions GmbH"
            Case Else
        End Select


        Select Case If(KD.Sammelrechnung, "")
            Case 0 : lblAbrechnungsart.Text = "Einzelrechnung"
            Case 1 : lblAbrechnungsart.Text = "täglich"
            Case 2 : lblAbrechnungsart.Text = "halbmonatlich"
            Case 3 : lblAbrechnungsart.Text = "monatlich"
            Case 4 : lblAbrechnungsart.Text = "Dekade"
            Case 5 : lblAbrechnungsart.Text = "wöchentlich"
            Case 6 : lblAbrechnungsart.Text = "Maut/Diesel"
            Case 7 : lblAbrechnungsart.Text = "pro LKW"
            Case Else : lblAbrechnungsart.Text = "-"
        End Select

        lblSVS.Text = If(KD.SVS, "JA", "NEIN")
        lblKreditaufwendungen.Text = CDbl(If(KD.Kreditaufwendungen, 0)).ToString("P2")
        lblVorlageprovision.Text = CDbl(If(KD.Vorlageprovision, 0)).ToString("P2")

        txtTel.Text = AD.Telefon
        txtFax.Text = AD.Telefax
        txtEMail.Text = AD.E_Mail
        txtAnsprechpartner.Text = AD.Ansprechpartner
        'txtTel.Text = AD.Telefon

        Dim s = New subRptOfferte(0, KdNr)
        subOffert.Report = s

        Dim s2 = New subRptLeistungen(KdNr, Firma_ID)
        subRptLeistungen.Report = s2

        Dim s3 = New subRptBonitaetsverlauf(KdNr)
        subBonitaetsverlauf.Report = s3

        Dim s4 = New subRptAufschubdaten(KdNr)
        SubReport1.Report = s4

        Dim s5 = New subRptAbfertigungen(KdNr)
        SubReport2.Report = s5

    End Sub
End Class